<i
  nz-icon
  nz-dropdown
  [nzDropdownMenu]="exportMenu"
  nzType="sqtm-core-generic:export"
  nzTheme="outline"
  class="current-workspace-button action-icon-size"
  [attr.data-test-toolbar-button-id]="'export-issue-button'"
>
</i>

<nz-dropdown-menu #exportMenu="nzDropdownMenu">
  <ul nz-menu [attr.data-test-menu-id]="'export-menu'">
    <li
      nz-menu-item
      [attr.data-test-menu-item-id]="'export-visible'"
      (click)="exportAllVisibleRows()"
    >
      {{ 'sqtm-core.grid.export.visible' | translate }}
    </li>
    <li
      nz-menu-item
      [attr.data-test-menu-item-id]="'export-selected'"
      (click)="exportSelectableRows()"
    >
      {{ 'sqtm-core.grid.export.selected' | translate }}
    </li>
  </ul>
</nz-dropdown-menu>
